//<c>   Copyright 1985-2000 by Gerry J. Danen; all rights reserved.

#include "gd_tools.h"


char *note[] =
{
    " USAGE: `phone' or `phone x' -- the latter will prevent screen output.  Hit any key to abort. "
};


int test_kb_( void )
{
    if ( _kbhit() )                     //  key ready?
    {
        _getch();
        return( TRUE );
    }
    else
        return( FALSE );
}


void    main( int argc, char *argv[] )
{
    int i, j, t, show_it=FALSE;

    gd_init( TRUE );
    if ( argc == 1 )
    {
        show_it = TRUE;
        CursOff();
        cls();
        PutString( "\n\nPlease answer the phone" );
    }
    else
        CursOn();
    for ( j=0 ; j < 10 ; j++ )
    {
        for ( i=0 ; i < 10 ; i++ )
        {
            Tone( 523, 3 );
            Tone( 659, 3 );
        }
        if ( show_it )
            PutString( "." );
        for ( t=0 ; t < 50 ; t++ )
        {
            tm_sleep_msecs( 35 );
            if ( test_kb_() )
                j = t = 777;
        }
    }
    if ( show_it )
    {
        cls();
        PutString( "\n\nThank you!\n\n" );
    }
    gd_exit( 0, "" );
}
